/* Functions */

function _aff_captcha(area, obj) {
  jQuery('.' + area + ' input[name="fm[cpt]"]').val('').addClass('msw-box-spinner-right');
  setTimeout(function() {
    jQuery('.' + area + ' input[name="fm[cpt]"]').removeClass('msw-box-spinner-right');
    var csrf = jQuery('meta[name="x-header-csrf"]').attr('content');
    jQuery((obj ? obj : '.' + area + ' img.cim')).attr('src', 'index.php?load_c=' + area + '&csrf=' + csrf + '&new=' + Math.random());
  }, 500);
}

function _aff_winloc(loc) {
  window.location = loc;
}

function _aff_close_spinner() {
  jQuery('body').JQLoader({
    action : 'close'
  });
}

function _aff_show_spinner() {
  jQuery('body').JQLoader({
    background : '#00788E',
    color      : '#fff'
  });
}

function _aff_dialog(txt, msg, mtype) {
  if (jQuery('.bootbox')) {
    jQuery('.bootbox').remove();
  }
  if (jQuery('.modal-backdrop')) {
    jQuery('.modal-backdrop').remove();
  }
  switch(mtype) {
    case 'confirm':
      bootbox.confirm({
        message   : msg,
        title     : '<i class="fa fa-question-circle fa-fw"></i> ' + txt,
        className : 'msw-box-question',
        onEscape  : true,
        backdrop  : true,
        callback  : function(result) {
          if (result) {
            _aff_processor('close-acc');
          }
        }
      });
      break;
    case 'err':
      bootbox.dialog({
        message   : msg,
        title     : '<i class="fa fa-warning fa-fw"></i> ' + txt,
        className : 'msw-box-error',
        onEscape  : true,
        backdrop  : true
      });
      break;
    default:
      bootbox.dialog({
        message   : msg,
        title     : '<i class="fa fa-check-circle fa-fw msw-green"></i> ' + txt,
        className : 'msw-box-ok',
        onEscape  : true,
        backdrop  : true
      });
      break;
  }
}

function _aff_ibox(obj) {
  iBox.showURL(
    obj.href,
    '', {
      width  : 850,
      height : 550
    }
  );
}